# Uses of Class
com.logicaldoc.core.i18n.Language

Packages that use Language
Package
Description
com.logicaldoc.core.i18n

## Uses of Language in com.logicaldoc.core.i18n

Methods in com.logicaldoc.core.i18n that return Language
Modifier and Type
Method
Description
`Language`
LanguageManager.`getLanguage(Locale locale)`
Retrieves the Language for the given language Null is returned if the corresponding Language could not be found
Methods in com.logicaldoc.core.i18n that return types with arguments of type Language
Modifier and Type
Method
Description
`List<Language>`
LanguageManager.`getActiveLanguages(String tenantName)`
`List<Language>`
LanguageManager.`getLanguages()`
Methods in com.logicaldoc.core.i18n with parameters of type Language
Modifier and Type
Method
Description
`void`
LanguageManager.`addLanguage(Locale locale, Language lang)`
`int`
Language.`compareTo(Language o)`